> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate receiving a Transfer

> This endpoint allows you to simulate receiving a transfer in test mode.

**`v2`** · Base URL `https://api.fintoc.com/v2`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api-v2.json POST /simulate/receive_transfer
openapi: 3.1.0
info:
  title: fintoc-api-v2
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v2
security:
  - sec0: []
paths:
  /simulate/receive_transfer:
    post:
      summary: Simulate receiving a Transfer
      description: This endpoint allows you to simulate receiving a transfer in test mode.
      operationId: simulate-receive-a-transfer
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                account_number_id:
                  type: string
                  description: >-
                    The account number where you would like to receive the
                    transfer.
                  default: acno_Kasf91034gj1AD
                amount:
                  type: integer
                  description: Amount of the transfer.
                  default: 10000
                  format: int32
                currency:
                  type: string
                  description: Currency of the transfer.
                  default: MXN
                  enum:
                    - MXN
                    - CLP
                reference_id:
                  type: string
                  description: >-
                    Numerical and up to 7 digits. Only Mexico (número de
                    referencia).
                counterparty_institution_id:
                  type: string
                  description: ID of sender institution. Inferred if CLABE account.
                counterparty_holder_id:
                  type: string
                  description: >-
                    RUT or RFC of holder ID. Mock data will be assigned if not
                    provided.
                counterparty_holder_name:
                  type: string
                  description: >-
                    Sender holder name. Mock data will be assigned if not
                    provided.
                counterparty_account_number:
                  type: string
                  description: >-
                    Sender account number. Mock data will be assigned if not
                    provided.
              required:
                - account_number_id
                - amount
                - currency
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization

````